Get all budget alerts
curl --request GET \
--url https://api.vantage.sh/v2/budget_alerts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vantage.sh/v2/budget_alerts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vantage.sh/v2/budget_alerts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"budget_alerts": [
{
"token": "<string>",
"budget_tokens": [
""
],
"created_at": "2024-03-19T00:00:00Z",
"workspace_token": "<string>",
"user_tokens": [
""
],
"duration_in_days": 123,
"threshold": 75,
"period_to_track": "start_of_the_month",
"recipient_channels": [
""
],
"user_token": "<string>",
"integration_provider": "slack"
}
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}BudgetAlerts
Get all budget alerts
Return all BudgetAlerts.
GET
/
budget_alerts
Get all budget alerts
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
The page of results to return.
The number of results to return. The maximum is 1000.
⌘I